%define major		7
%define libname		%mklibname gsasl %major
%define develname	%mklibname gsasl -d

Name:		libgsasl
Version:	1.8.1
Release:	%mkrel 1
Summary:	Implementation of the Simple Authentication and Security Layer framework
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/gsasl/
Source:		ftp://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.xz
BuildRequires:	lib64gcrypt-devel
BuildRequires:	lib64ntlm-devel
BuildRequires:	lib64krb53-devel

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -f %name.lang
#--------------------------------------------------------------------

%package -n %libname
Group:		System/Libraries
Summary:	Implementation of the Simple Authentication and Security Layer framework

%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %libname
%_libdir/libgsasl.so.%{major}
%_libdir/libgsasl.so.%{major}.*

#--------------------------------------------------------------------

%package -n %develname
Group:		Development/Libraries
Summary:	Implementation of the Simple Authentication and Security Layer framework
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	gsasl-devel = %version-%release

%description -n %develname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %develname
%_libdir/pkgconfig/libgsasl.pc
%_libdir/libgsasl.so
%_includedir/gsasl-compat.h
%_includedir/gsasl-mech.h
%_includedir/gsasl.h

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static --with-gssapi-impl=mit
%make_build

%install
%make_install
%find_lang %name

find %{buildroot} -name '*.la' -delete


%changelog
* Thu Jan 02 2020 tex - 1.8.1-1pclos2020
- new version: 1.8.1
